using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

[Keyless]
public partial class VwSeveranceTaxOverviewInfo
{
    [Column("state_id")]
    public int? StateId { get; set; }

    [Column("state_name", TypeName = "citext")]
    public string? StateName { get; set; }

    [Column("gas_rate")]
    public decimal? GasRate { get; set; }

    [Column("gas_reg_fee")]
    public decimal? GasRegFee { get; set; }

    [Column("crude_rate")]
    public decimal? CrudeRate { get; set; }

    [Column("crude_reg_fee")]
    public decimal? CrudeRegFee { get; set; }
}
